! Tests the initialization of the library. Specifically tests usage of
! SAVE and DATA statements and the use of and COMMON blocks.
!
! author:  J. Czechowski IV
! version: $Id: test_auxiliary.mm,v 1.2 2007/12/20 22:54:45 jxc Exp $
!
startmacro
  aux/store
  
  set auxNumbers "91,92,93"
  foreach num inList auxNumbers
    if aux.^num rexists then
      warn "^reg.main.name: This test must be run without AUX.^num defined."
      stop
    endif
  endfor
  
  set aux.93 "ram:"
  aux CWD CWD 93
  
  nxm.xbc.host.test_auxiliary/stat=status
  assert/text="Status of Fortran tests" status rexists and ^status eqs "PASS"
  
  foreach num inList auxNumbers
    rem aux.^num
  endfor

  aux/restore
endmacro
